
#ifndef ATAPCI_H
#define ATAPCI_H

#include <unistd.h>
#include "pci_ids.h"

/* missed in kernel 2.5.19 */
#define PCI_DEVICE_ID_TTI_HPT302	0x0006
#define PCI_DEVICE_ID_TTI_HPT371	0x0007
#define PCI_DEVICE_ID_PROMISE_20263	0x0D38
#define PCI_DEVICE_ID_SERVERWORKS_CSB6IDE	0x0213


#include "errno-base.h"

#define ARRAY_SIZE(x) (sizeof(x) / sizeof((x)[0]))


#include "lib/pci.h"

#define pci_read_config_byte(dev, where, val) \
	*val = pci_read_byte(dev, where)

#define pci_read_config_word(dev, where, val) \
	*val = pci_read_word(dev, where)

#define pci_read_config_dword(dev, where, val) \
	*val = pci_read_long(dev, where)

#define pci_resource_start(dev,bar) \
	(dev->base_addr[bar] & PCI_BASE_ADDRESS_IO_MASK)


extern int pcibus;
#define system_bus_speed	pcibus

struct pci_dev *pci_find_device(unsigned int vendor, unsigned int device,
				struct pci_dev *from);

void need_root(void);

int generic_info(char *, struct pci_dev *);

#endif ATAPCI_H
